/*
 * BoxQtQueryPipe.hpp
 *
 *  Created on: Nov 8, 2010
 *      Author: heber
 */

#ifndef BOXQTQUERYPIPE_HPP_
#define BOXQTQUERYPIPE_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <Qt/qwidget.h>

class QTableWidget;

class QtDialog;
class RealSpaceMatrix;


class RealSpaceMatrixQtQueryPipe : public QWidget {
  Q_OBJECT
public:
  RealSpaceMatrixQtQueryPipe(RealSpaceMatrix &_content, QtDialog *_dialog, QTableWidget *_inputTable);
  virtual ~RealSpaceMatrixQtQueryPipe();

public slots:
  void update(int,int);

private:
  RealSpaceMatrix &content;
  QtDialog *dialog;
  QTableWidget *inputTable;

  RealSpaceMatrix *tmpM;
};


#endif /* BOXQTQUERYPIPE_HPP_ */
